Loading...
Searching...
No Matches
PstCameraInfo Struct Reference
PST SDK C API

Information for a single camera of the connected PST Tracker. More...

`#include <pstsdk_c.h>`

Collaboration diagram for PstCameraInfo:
[legend]

## Data Fields
char | camera_id [32]
char | local_sha1 [64]
char | server_sha1_url [128]
char | calibration_url [128]

## Detailed Description

This struct provides key details for each camera of the connected PST Tracker, including calibration verification data, unique camera identifiers, and URLs to retrieve the calibration files.

Fields:

- camera_id : Unique camera identifier.
- local_sha1 : SHA1 checksum of the local calibration file. If the local file could not be read, this field contains a descriptive error message. Possible error messages include:
  - "Error - File not found" : The calibration file does not exist in the expected location.
  - "Error - Error reading the file" : The file exists but could not be opened or read.
- server_sha1_url : URL to retrieve the SHA1 checksum of the corresponding server calibration file. Users can fetch the server SHA1 from this URL and compare it with the local SHA1 to verify that the local calibration files are up to date.
- calibration_url : URL to retrieve the calibration file.

By comparing the SHA1 checksum of local calibration files with the SHA1 retrieved from the corresponding PstCameraInfo::server_sha1_url, users can determine whether the local calibration data is up to date. If the local files do not match the server, updated calibration files can be downloaded from the provided PstCameraInfo::calibration_url and loaded using pst_tracker_load_calibration_from_local_path().

Note
  In multi-PST setups, SHA1 comparison results may differ even when the calibration files are valid. During the registration process, the system calculates the position and orientation of all PST units relative to each other, updating the local calibration files. These modifications can cause the local file checksums to differ from the original server versions.

See also
  pst_tracker_alloc_and_get_connected_camera_info()
  pst_tracker_load_calibration_from_local_path()

## Field Documentation

## ◆ calibration_url

char PstCameraInfo::calibration_url[128]

URL to retrieve calibration file.

## ◆ camera_id

char PstCameraInfo::camera_id[32]

Unique camera identifier.

## ◆ local_sha1

char PstCameraInfo::local_sha1[64]

SHA1 checksum or error message.

## ◆ server_sha1_url

char PstCameraInfo::server_sha1_url[128]

URL to retrieve SHA1 checksum.

The documentation for this struct was generated from the following file:

- include/pstsdk_c.h